searchNodes=[{"type":"module","title":"DotenvParser","doc":"Simple parser for dotenv style files. Supports simple variable–value pairs with upper and lower cased variables. Values are trimmed of extra whitespace. Blank lines and lines starting with # are ignored. Additionally inline comments can be added after values with a # , i.e. FOO=bar # comment . Single quote or double quote value to prevent trimming of whitespace and allow usage of # in value, i.e. FOO=' bar # not comment ' # comment . Single quoted values don't do any unescaping. Double quoted values will unescape the following: \\n - Linefeed \\r - Carriage return \\t - Tab \\f - Form feed \\b - Backspace \\&quot; and \\' - Quotes \\\\ - Backslash \\uFFFF - Unicode escape (4 hex characters to denote the codepoint) A backslash at the end of the line in a multiline value will remove the linefeed. Values can span multiple lines when single or double quoted: MULTILINE=&quot;This is a multiline value.&quot; This will result in the following: System . fetch_env! ( &quot;MULTILINE&quot; ) == &quot;This is a \\n multiline value.&quot; A line can start with export for easier interoperation with regular shell scripts. These lines are treated the same as any others. Serving suggestion If you load lots of environment variables in config/runtime.exs , you can easily configure them for development by having an .env file in your development environment and using DotenvParser at the start of the file: import Config if Config . config_env ( ) == :dev do DotenvParser . load_file ( &quot;.env&quot; ) end # Now variables from `.env` are loaded into system env config :your_project , database_url : System . fetch_env! ( &quot;DB_URL&quot; )","ref":"DotenvParser.html"},{"type":"function","title":"DotenvParser.load_data/1","doc":"Parse given data and load the variables to the environment. If a line cannot be parsed, an error is raised and no values are loaded to the environment.","ref":"DotenvParser.html#load_data/1"},{"type":"function","title":"DotenvParser.load_file/1","doc":"Parse given file and load the variables to the environment. If a line cannot be parsed or the file cannot be read, an error is raised and no values are loaded to the environment.","ref":"DotenvParser.html#load_file/1"},{"type":"function","title":"DotenvParser.parse_data/1","doc":"Parse given data and return a list of variable–value tuples. If a line cannot be parsed, an error is raised.","ref":"DotenvParser.html#parse_data/1"},{"type":"function","title":"DotenvParser.parse_file/1","doc":"Parse given file and return a list of variable–value tuples. If a line cannot be parsed or the file cannot be read, an error is raised.","ref":"DotenvParser.html#parse_file/1"},{"type":"function","title":"DotenvParser.parse_line/2","doc":"Parse given single line and return a variable–value tuple, or a continuation value if the line started or continued a multiline value. If line cannot be parsed, an error is raised. The second argument needs to be nil or a continuation value returned from parsing the previous line.","ref":"DotenvParser.html#parse_line/2"},{"type":"type","title":"DotenvParser.value_pair/0","doc":"Pair of variable name, variable value.","ref":"DotenvParser.html#t:value_pair/0"},{"type":"module","title":"DotenvParser.Continuation","doc":"","ref":"DotenvParser.Continuation.html"},{"type":"type","title":"DotenvParser.Continuation.t/0","doc":"A multiline value continuation. When a function returns this, it means that a multiline value was started and more needs to be parsed to get the rest of the value.","ref":"DotenvParser.Continuation.html#t:t/0"},{"type":"exception","title":"DotenvParser.ParseError","doc":"Error raised when a line cannot be parsed.","ref":"DotenvParser.ParseError.html"}]